Skip to main content
POST

Submits a single composite command, waits for its result, and returns the transaction. Propagates the gRPC error of failed submissions including Daml interpretation errors.

Authorizations

httpAuth

string
required
HTTP bearer authentication. Send the token as Authorization: Bearer <token>. Ledger API standard JWT token

apiKeyAuth

string
required
API key authentication in the header. Ledger API standard JWT token (websocket)

Body

application/json
object
required
OpenAPI type: JsCommands.A composite command that groups multiple commands together.
object
OpenAPI type: TransactionFormat.A format that specifies what events to include in Daml transactions and what data to compute and include for them.

Responses

200

application/json
JsTransaction
required
Filtered view of an on-ledger transaction’s create and archive events.

400

Invalid value, Invalid value for: body
text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Updated3.5

The POST /v2/commands/submit-and-wait-for-transaction operation was updated in this snapshot.

Added3.4